## epics-debhelper 8.18

=== debian/changelog ===
epics-debhelper (8.18) unstable; urgency=medium

  * Fix EPICS_HOST_ARCH.pl path for Base >=3.15.6

 -- Martin Konrad <konrad@frib.msu.edu>  Tue, 16 Oct 2018 09:43:48 -0400

epics-debhelper (8.17) unstable; urgency=medium

  [ Michael Davidsaver ]
  * Debian 9 compatibility

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 19 Jul 2017 14:46:10 +0200

epics-debhelper (8.16) unstable; urgency=medium

  * Add dh_epics_hostarch
     Translate debian archs. to EPICS targets using information from
     'dpkg-architecture'.
  * Add dh-exec-subst-epics
     Helper for dh-exec --with=subst which expands
     ${EPICS_HOST_ARCH}, ${EPICS_BUILD_ARCH}, ${EPICS_TARGET_ARCH}
     using dh_epics_hostarch, and ${EPICS_BASE} to "usr/lib/epics".
     All can be overridden by settings the an environment variable
     of the same name.
  * add /usr/share/epics-debhelper/default.mk
      Defines EPICS_BASE=/usr/lib/epics and EPICS_HOST_ARCH
      Neither is export'ed

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 27 Apr 2016 20:34:59 -0400

epics-debhelper (8.15) unstable; urgency=medium

  * Fix dh_makeshlibs_epics not creating shlibs for *-dev.
    Attempt to fix lintian warning introduced bug...

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Fri, 11 Mar 2016 10:36:52 -0500

epics-debhelper (8.14) unstable; urgency=medium

  * Add dh_epics_postinstall to auto remove
    configure/RELEASE and similar which should not
    be installed except by epics-base.
  * Expand dh_rtems_install as dh_epics_install
    Automatically install lib* and *-dev packages
    when corresponding .install is missing.
  * Expand dh_rtems_lintian as dh_epics_lintian
    Automatically create lintian/overrides
    for *-dev package when no .lintian-overrides
    file exists.
  * Install missing manpage for dh_epicsdep

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Fri, 11 Mar 2016 10:34:26 -0500

epics-debhelper (8.13) unstable; urgency=medium

  * move dh_rtems_install before dh_install in --with epics sequence
    and change 'cp' to 'mv' to avoid error w/ --fail-missing

 -- Michael Davidsaver <mdavidsaver@gmail.com>  Wed, 20 Jan 2016 11:12:52 -0500

epics-debhelper (8.12) unstable; urgency=medium

  * Use LINKER_USE_RPATH instead of USE_RPATH
  * Update package maintainer, uploaders
  * Bump up package standards version to 3.9.6
  * Add ${misc:Depends} to dependencies

 -- Martin Konrad <konrad@frib.msu.edu>  Wed, 06 Jan 2016 15:05:16 -0800

epics-debhelper (8.11) unstable; urgency=medium

  * dh_rtems: dpkg --print-avail may sometimes incorrectly report
     a package as uninstalled.  Use dpkg-query instead.
  * Add dh_rtems_lintian to rtems dh sequence.

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Sun, 10 May 2015 13:52:02 -0400

epics-debhelper (8.10) unstable; urgency=low

  * Add support for Multi-Arch shared library locations in dh_epics_installlibs
  * debian/control: add Ralph to uploaders
  * Fix numerous lintian warnings
      debian/control: improve Description fields
      debian/copyright: make GPL version explicit
      debian/rules: add new mandatory build-arch and build-indep targets
      debian/source/format: added
      debian/control: bump Standards-Version to 3.9.4
      dh_rtems_lintian: fix typo

 -- Ralph Lange <Ralph.Lange@gmx.de>  Wed, 25 Sep 2013 17:28:21 +0200

epics-debhelper (8.9) unstable; urgency=low

  * Add depends on libtie-ixhash-perl

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Wed, 13 Mar 2013 17:54:47 -0400

epics-debhelper (8.8) unstable; urgency=low

  * forgot to remove testing code from dh_epicsdep

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 10 Dec 2012 11:25:28 -0500

epics-debhelper (8.7) unstable; urgency=low

  * typo in dh_epics_list_targets
  * add dh_epicsdep

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 24 Sep 2012 18:35:45 -0400

epics-debhelper (8.6) unstable; urgency=low

  * no relative paths in PATH and LD_LIBRARY_PATH

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Wed, 19 Sep 2012 14:05:43 -0400

epics-debhelper (8.5) unstable; urgency=low

  * Fix broken install...

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Sun, 12 Jun 2011 17:37:07 -0400

epics-debhelper (8.4) unstable; urgency=low

  * Don't include dh_epics_list_targets in debhelper logs
  * Only include RTEMS cross targets for binary packages
    actually being generated
  * Add empty rtems-debhelper stub to avoid problems
    with virtuals

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Sun, 12 Jun 2011 17:08:47 -0400

epics-debhelper (8.3) unstable; urgency=low

  * dh_strip_rtems: also avoid stripping debug
  * dh --with epicsmake: problems with make_first_existing_target

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Sat, 04 Jun 2011 19:17:15 -0400

epics-debhelper (8.2) unstable; urgency=low

  * Really correct debhelper dependency

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Thu, 19 May 2011 17:27:53 -0400

epics-debhelper (8.1) unstable; urgency=low

  * correct debhelper dependency (>= 7.0.50~)

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Thu, 19 May 2011 17:19:42 -0400

epics-debhelper (8) unstable; urgency=low

  * Fix clean step of dh --with epics

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 16 May 2011 14:37:42 -0400

epics-debhelper (7) unstable; urgency=low

  * Install epics-debhelper(7) manpage
  * Fix dh_epics_list_targets

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 16 May 2011 11:57:51 -0400

epics-debhelper (6) unstable; urgency=low

  * Rename package to epics-debhelper
  * Add:
     dh_epics_installlibs - Put host shared libraries in correct location
     dh_rtems_install - Common RTEMS install tasks
     dh_rtems_lintian - Default Lintian override list
     dh_epics_list_targets - Print lists of install EPICS
       build targets.
     dh ... --with epics - debhelper sequence (superset of rtems sequence)
  * Changed:
     dh_rtems - Look for more control tags

 -- Michael Davidsaver <mdavidsaver@bnl.gov>  Mon, 16 May 2011 09:35:35 -0400


