=== debian/control ===
Source: epics-debhelper
Section: devel
Priority: optional
Maintainer: Martin Konrad <konrad@frib.msu.edu>
Uploaders: Michael Davidsaver <mdavidsaver@gmail.com>,
           Ralph Lange <Ralph.Lange@gmx.de>
Build-Depends: debhelper (>= 7.0.50~),
               perl (>= 5.10.0),
Standards-Version: 3.9.6
Homepage: http://pubweb.bnl.gov/~mdavidsaver

Package: epics-debhelper
Architecture: all
Depends: ${perl:Depends}, perl (>= 5.10.0),
         ${misc:Depends}, debhelper (>= 7.0.50~), libparse-debcontrol-perl,
         libtie-ixhash-perl,
Recommends: dh-exec-epics,
Conflicts: rtems-debhelper (<< 6~)
Description: Helper for building EPICS packages
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building EPICS Debian packages.
 These tools integrate with the debhelper collection.
 Only needed when creating packages.

Package: dh-exec-epics
Architecture: all
Depends: ${perl:Depends}, perl (>= 5.10.0),
         ${misc:Depends},
         dh-exec
Description: EPICS related helpers for dh-exec
 Helpers for dh-exec for epics related tasks.
 .
 dh-exec-subst-epics - Expands some EPICS_* variables

Package: rtems-debhelper
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, epics-debhelper (= ${source:Version})
Description: Helper for building EPICS packages (transitional package)
 A helper script to calculate package dependencies
 for RTEMS packages.  Only needed when creating packages.
 .
 This is a transitional dependency package to help with the
 transition from rtems-debhelper to epics-debhelper.
