=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	pod2man --section=7 epics-debhelper.txt epics-debhelper.7
	pod2man --section=1 dh_epics_hostarch.txt dh_epics_hostarch.1

override_dh_auto_clean:
	rm -f *.7 *.1
